| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Types | Public Member Functions | List of all members
cv::TrackerSamplerCS Class Reference
Tracking API

TrackerSampler based on CS (current state), used by algorithm TrackerBoosting. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerSamplerCS:

## Classes
struct | Params

## Public Types
enum | { MODE_POSITIVE = 1, MODE_NEGATIVE = 2, MODE_CLASSIFY = 3 }

## Public Member Functions
| TrackerSamplerCS (const TrackerSamplerCS::Params &parameters=TrackerSamplerCS::Params())
| Constructor. More...
| ~TrackerSamplerCS ()
Rect | getROI () const
bool | samplingImpl (const Mat &image, Rect boundingBox, std::vector< Mat > &sample) CV_OVERRIDE
void | setMode (int samplingMode)
| Set the sampling mode of TrackerSamplerCS. More...
Public Member Functions inherited from cv::TrackerSamplerAlgorithm
virtual | ~TrackerSamplerAlgorithm ()
| Destructor. More...
String | getClassName () const
| Get the name of the specific TrackerSamplerAlgorithm. More...
bool | sampling (const Mat &image, Rect boundingBox, std::vector< Mat > &sample)
| Computes the regions starting from a position in an image. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerSamplerAlgorithm
static Ptr< TrackerSamplerAlgorithm > | create (const String &trackerSamplerType)
| Create TrackerSamplerAlgorithm by tracker sampler type. More...
Protected Attributes inherited from cv::TrackerSamplerAlgorithm
String | className

## Detailed Description

TrackerSampler based on CS (current state), used by algorithm TrackerBoosting.

## Member Enumeration Documentation

## § anonymous enum

anonymous enum

Enumerator
MODE_POSITIVE | mode for positive samples
MODE_NEGATIVE | mode for negative samples
MODE_CLASSIFY | mode for classify samples

## Constructor & Destructor Documentation

## § TrackerSamplerCS()

cv::TrackerSamplerCS::TrackerSamplerCS | ( | const TrackerSamplerCS::Params & | parameters = `TrackerSamplerCS::Params()` | ) |

Constructor.

Parameters

  parameters | TrackerSamplerCS parameters TrackerSamplerCS::Params

## § ~TrackerSamplerCS()

cv::TrackerSamplerCS::~TrackerSamplerCS | ( |  | ) |

## Member Function Documentation

## § getROI()

Rect cv::TrackerSamplerCS::getROI | ( |  | ) | const

## § samplingImpl()

bool cv::TrackerSamplerCS::samplingImpl | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample
| ) |  |
| virtual

Implements cv::TrackerSamplerAlgorithm.

## § setMode()

void cv::TrackerSamplerCS::setMode | ( | int | samplingMode | ) |

Set the sampling mode of TrackerSamplerCS.

Parameters

  samplingMode | The sampling mode

The modes are:

- "MODE_POSITIVE = 1" – for the positive sampling
- "MODE_NEGATIVE = 2" – for the negative sampling
- "MODE_CLASSIFY = 3" – for the sampling in classification step

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp